// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "EndlessVendetta/GadgetSystem/ReconGadget.h"
#include "VisionLink.generated.h"

/**
 * 
 */
UCLASS()
class ENDLESSVENDETTA_API AVisionLink : public AReconGadget
{
	GENERATED_BODY()

	virtual void BeginPlay() override;

	virtual void Tick(float DeltaSeconds) override;
	
	virtual void Activate() override;

	virtual void FinishedUsing() override;

protected:
	UPROPERTY(BlueprintReadOnly, Category = "Vision Link")
	float CooldownLength;

	UFUNCTION(BlueprintImplementableEvent, Category = "Vision Link")
	void SwitchToActiveWatchFace();

	UFUNCTION(BlueprintImplementableEvent, Category = "Vision Link")
	void SwitchToRechargingWatchFace();
	
};
